v1.0
get
/ec-site-svc/rest/v1.0/studies/{studyId}/{mode}/sdfs/{sdfType}/locallySourced
Retrieves a list of all kit type IDs and main primary countries that are locally sourced and assigned to the sites.
Request
Path Parameters
-
mode(required): string
Study mode. Allowed values: active (live study operations), test (testing data), training (training or sandbox data).Example:
test -
sdfType(required): string
SDF type filter. Allowed values: site/SITE (site records), depot/DEPOT (depot records), lab/LAB (lab records), all/ALL (all supported SDF types).Example:
site -
studyId(required): string
Study identifier as a 32-character uppercase hexadecimal UUID string.Example:
C36A3197FDEE433FB5547EE83DE99E4B
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples